// InputBox.h: CInputBox NX̃C^[tFCX
//
// Copyright (C) 2006 Kazuyoshi Kakihara
//
// This file is part of JanusLeaf.
//
// JanusLeaf is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_INPUTBOX_H__88BB555D_3263_49CB_8C71_F6E02DFEC3BD__INCLUDED_)
#define AFX_INPUTBOX_H__88BB555D_3263_49CB_8C71_F6E02DFEC3BD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CInputBox : public CDialogImpl<CInputBox>  
{
public:
  enum { IDD = IDD_INPUTBOX };
  CEdit m_edit_input;
  CStatic m_static_message;
  LPSTR buff;
  UINT len;
  LPCSTR title;
  LPCSTR message;
  BOOL fPassword;

  // bZ[W}bv
  BEGIN_MSG_MAP_EX(CInputBox)
    MSG_WM_INITDIALOG(OnInitDialog)
    COMMAND_ID_HANDLER_EX(IDOK, OnOK)
    COMMAND_ID_HANDLER_EX(IDCANCEL, OnCancel)
  END_MSG_MAP()

  LRESULT OnInitDialog(HWND hWnd, LPARAM lParam){
    // XN[̒ɔzu
    CenterWindow();

    m_edit_input = GetDlgItem(IDC_EDIT_INPUT);
    m_static_message = GetDlgItem(IDC_STATIC_MESSAGE);

    SetWindowText(title);
    m_static_message.SetWindowText(message);
    m_edit_input.SetLimitText(len);
    if (fPassword) {
      m_edit_input.SetPasswordChar('*');
    } else {
      m_edit_input.SetPasswordChar(NULL);
    }
    *buff = '\0';
    return TRUE;
  }

  void OnOK(UINT uNotifyCode, int nID, HWND hWndCtl){
    m_edit_input.GetWindowText(buff, len);
    EndDialog(nID);
  }

  void OnCancel(UINT uNotifyCode, int nID, HWND hWndCtl){
    EndDialog(nID);
  }

};

#endif // !defined(AFX_INPUTBOX_H__88BB555D_3263_49CB_8C71_F6E02DFEC3BD__INCLUDED_)
